Subject: FreeBSD compilation problem (errno_location)

From: Janus Troelsen <[email-masked]>
Date: Sat, 3 Oct 2015 03:56:20 +0200

Hi,

When compiling Guix on FreeBSD, everything works great until I get the following error message. Does anyone know how to handle this?

This my configure line:

LDFLAGS="-largp -lintl -L/usr/local/lib" CPPFLAGS="-I/usr/local/include" ./configure --prefix=$HOME/guix-build --with-courage

I know FreeBSD is not officially supported, but I don't see why it shouldn't be? Many GNU tools work on FreeBSD.

Regards,
Janus

> [janus@xn--kn-1ia ~/guix-0.8.3] ../make-build/bin/make
> /usr/home/janus/guix-0.8.3/../make-build/bin/make  all-recursive
> make[1]: Entering directory '/usr/home/janus/guix-0.8.3'
> Making all in po/guix
> make[2]: Entering directory '/usr/home/janus/guix-0.8.3/po/guix'
> make[2]: Leaving directory '/usr/home/janus/guix-0.8.3/po/guix'
> Making all in po/packages
> make[2]: Entering directory '/usr/home/janus/guix-0.8.3/po/packages'
> make[2]: Leaving directory '/usr/home/janus/guix-0.8.3/po/packages'
> make[2]: Entering directory '/usr/home/janus/guix-0.8.3'
>   GUILEC guix/pk-crypto.go
> Backtrace:
> In ice-9/boot-9.scm:
> 2401: 19 [save-module-excursion #<procedure a71780 at ice-9/boot-9.scm:3066:17 ()>]
> 3085: 18 [#<procedure a71780 at ice-9/boot-9.scm:3066:17 ()>]
> In unknown file:
>    ?: 17 [primitive-load-path "guix/utils" ...]
> In ice-9/eval.scm:
>  505: 16 [#<procedure 73fac0 at ice-9/eval.scm:499:4 (exp)> (define-module # # ...)]
> In ice-9/psyntax.scm:
> 1106: 15 [expand-top-sequence ((define-module (guix utils) #:use-module ...)) () ...]
>  989: 14 [scan ((define-module (guix utils) #:use-module ...)) () ...]
>  279: 13 [scan ((#(syntax-object let # ...) (#) (# #) ...)) () ...]
> In ice-9/eval.scm:
>  411: 12 [eval # ()]
> In ice-9/boot-9.scm:
> 2951: 11 [define-module* (guix utils) #:filename ...]
> 2926: 10 [resolve-imports (((guix config)) ((srfi srfi-1)) ((srfi srfi-9)) ...)]
> 2864: 9 [resolve-interface (guix build syscalls) #:select ...]
> 2789: 8 [#<procedure 7e7620 at ice-9/boot-9.scm:2777:4 (name #:optional autoload version #:key ensure)> # ...]
> 3065: 7 [try-module-autoload (guix build syscalls) #f]
> 2401: 6 [save-module-excursion #<procedure 106e0c0 at ice-9/boot-9.scm:3066:17 ()>]
> 3085: 5 [#<procedure 106e0c0 at ice-9/boot-9.scm:3066:17 ()>]
> In unknown file:
>    ?: 4 [primitive-load-path "guix/build/syscalls" ...]
> In ice-9/eval.scm:
>  453: 3 [eval # ()]
>  411: 2 [eval # ()]
> In unknown file:
>    ?: 1 [dynamic-func "__errno_location" #<dynamic-object #f>]
> In ice-9/boot-9.scm:
>  106: 0 [#<procedure ad2d40 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]
> 
> ice-9/boot-9.scm:106:20: In procedure #<procedure ad2d40 at ice-9/boot-9.scm:97:6 (thrown-k . args)>:
> ice-9/boot-9.scm:106:20: In procedure dynamic-pointer: Symbol not found: __errno_location
> Makefile:4457: recipe for target 'guix/pk-crypto.go' failed
> make[2]: *** [guix/pk-crypto.go] Error 1
> make[2]: Leaving directory '/usr/home/janus/guix-0.8.3'
> Makefile:3619: recipe for target 'all-recursive' failed
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory '/usr/home/janus/guix-0.8.3'
> Makefile:2231: recipe for target 'all' failed
> make: *** [all] Error 2
> [janus@xn--kn-1ia ~/guix-0.8.3]